%define upstream_name    Scope-Upper
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Act on upper scopes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scope/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl-devel
%description
This module lets you defer actions _at run-time_ that will take place when
the control flow returns into an upper scope. Currently, you can:

* *

  hook an upper scope end with the /reap manpage ;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 534320
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 477280
- update to 0.24

* Sun Sep 08 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 476035
- update to 0.23

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 439863
- update to 0.22

* Wed May 29 2013 jquelin <jquelin> 0.210.0-3.mga4
+ Revision: 431739
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 372551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 298105
- update to 0.21

* Wed Sep 05 2012 kharec <kharec> 0.190.0-1.mga3
+ Revision: 288524
- update to 0.19

* Wed May 30 2012 jquelin <jquelin> 0.180.0-2.mga3
+ Revision: 251095
- rebuild for perl 5.16

* Fri Oct 14 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 154840
- update to 0.18
- update to 0.15

* Sun Jun 12 2011 sander85 <sander85> 0.140.0-2.mga2
+ Revision: 104953
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 61512
- update to 0.14

* Sat Jan 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 31135
- mageia rebuild
- imported package perl-Scope-Upper


* Thu Dec 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 626241
- new version

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 607543
- import perl-Scope-Upper

